<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Mon May 14 22:04:00 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>UtilClass</title>
<meta name="date" content="2018-05-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UtilClass";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UtilClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../DAO/EscrituraClass.html" title="class in DAO"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?DAO/UtilClass.html" target="_top">Frames</a></li>
<li><a href="UtilClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">DAO</div>
<h2 title="Class UtilClass" class="title">Class UtilClass</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>DAO.UtilClass</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">UtilClass</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#UtilClass--">UtilClass</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#actualizarCliente-java.lang.String-java.lang.String-int-">actualizarCliente</a></span>(java.lang.String&nbsp;codCliente,
                 java.lang.String&nbsp;nombre,
                 int&nbsp;telefono)</code>
<div class="block">Metodo con el que se pueden actualizar los datos de un cliente</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#addNewCliente-java.lang.String-java.lang.String-int-">addNewCliente</a></span>(java.lang.String&nbsp;codigoCliente,
             java.lang.String&nbsp;nombreCliente,
             int&nbsp;telefonoCliente)</code>
<div class="block">Metodo que realiza la creacion de un nuevo cliente</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#addNewEscCli-java.lang.String-java.lang.String-">addNewEscCli</a></span>(java.lang.String&nbsp;codCliente,
            java.lang.String&nbsp;codEscritura)</code>
<div class="block">Metodo que realiza la creacion de una nueva referencia en EscCli</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#addNewEscritura-java.lang.String-int-java.lang.String-int-">addNewEscritura</a></span>(java.lang.String&nbsp;codigoEscritura,
               int&nbsp;posicionTipoEsc,
               java.lang.String&nbsp;nombreFicheroEscritura,
               int&nbsp;numeroIntervinientes)</code>
<div class="block">Metodo que realiza la creacion de una nueva Escritura</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#cargarArrayTipoEscrituras--">cargarArrayTipoEscrituras</a></span>()</code>
<div class="block">Metodo que cargara los datos de las tipologias de escrituras</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#getCliente-java.lang.String-">getCliente</a></span>(java.lang.String&nbsp;codigo)</code>
<div class="block">Metodo que devolvera un objeto de la clase ClienteClass</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#getCodClienteEscCli-java.lang.String-">getCodClienteEscCli</a></span>(java.lang.String&nbsp;codEscritura)</code>
<div class="block">Metodo que devolvera un el string del codigo de cliente vinculado al codigo de escritura</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#getEscritura-java.lang.String-">getEscritura</a></span>(java.lang.String&nbsp;codigo)</code>
<div class="block">Metodo que devolvera un objeto de la clase EscrituraClass</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../DAO/UtilClass.html#getTipoEscritura-int-">getTipoEscritura</a></span>(int&nbsp;posicion)</code>
<div class="block">Metodo que devolvera las siglas correspondientes al tipo de escritura
 seleccionado</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UtilClass--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UtilClass</h4>
<pre>public&nbsp;UtilClass()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="cargarArrayTipoEscrituras--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cargarArrayTipoEscrituras</h4>
<pre>public&nbsp;void&nbsp;cargarArrayTipoEscrituras()</pre>
<div class="block">Metodo que cargara los datos de las tipologias de escrituras</div>
</li>
</ul>
<a name="getTipoEscritura-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTipoEscritura</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTipoEscritura(int&nbsp;posicion)</pre>
<div class="block">Metodo que devolvera las siglas correspondientes al tipo de escritura
 seleccionado</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>posicion</code> - Integer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="addNewCliente-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewCliente</h4>
<pre>public&nbsp;void&nbsp;addNewCliente(java.lang.String&nbsp;codigoCliente,
                          java.lang.String&nbsp;nombreCliente,
                          int&nbsp;telefonoCliente)
                   throws java.sql.SQLException</pre>
<div class="block">Metodo que realiza la creacion de un nuevo cliente</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codigoCliente</code> - String - codigo unico de cliente</dd>
<dd><code>nombreCliente</code> - String - nombre del cliente</dd>
<dd><code>telefonoCliente</code> - Integer - Numero de telefono del cliente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="getCliente-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCliente</h4>
<pre>public&nbsp;<a href="../DAO/ClienteClass.html" title="class in DAO">ClienteClass</a>&nbsp;getCliente(java.lang.String&nbsp;codigo)
                        throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera un objeto de la clase ClienteClass</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codigo</code> - String - codigo de cliente</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object de la clase ClienteClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="actualizarCliente-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actualizarCliente</h4>
<pre>public&nbsp;void&nbsp;actualizarCliente(java.lang.String&nbsp;codCliente,
                              java.lang.String&nbsp;nombre,
                              int&nbsp;telefono)
                       throws java.sql.SQLException</pre>
<div class="block">Metodo con el que se pueden actualizar los datos de un cliente</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codCliente</code> - String - Codigo de cliente</dd>
<dd><code>nombre</code> - String - Nombre de cliente</dd>
<dd><code>telefono</code> - Integer - Numero de cliente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="addNewEscritura-java.lang.String-int-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewEscritura</h4>
<pre>public&nbsp;void&nbsp;addNewEscritura(java.lang.String&nbsp;codigoEscritura,
                            int&nbsp;posicionTipoEsc,
                            java.lang.String&nbsp;nombreFicheroEscritura,
                            int&nbsp;numeroIntervinientes)
                     throws java.sql.SQLException</pre>
<div class="block">Metodo que realiza la creacion de una nueva Escritura</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codigoEscritura</code> - String</dd>
<dd><code>posicionTipoEsc</code> - Integer</dd>
<dd><code>nombreFicheroEscritura</code> - String</dd>
<dd><code>numeroIntervinientes</code> - Integer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Escepcion</dd>
</dl>
</li>
</ul>
<a name="getEscritura-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEscritura</h4>
<pre>public&nbsp;<a href="../DAO/EscrituraClass.html" title="class in DAO">EscrituraClass</a>&nbsp;getEscritura(java.lang.String&nbsp;codigo)
                            throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera un objeto de la clase EscrituraClass</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codigo</code> - String - codigo de escritura</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object de la clase EscrituraClass</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
<a name="addNewEscCli-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewEscCli</h4>
<pre>public&nbsp;void&nbsp;addNewEscCli(java.lang.String&nbsp;codCliente,
                         java.lang.String&nbsp;codEscritura)
                  throws java.sql.SQLException</pre>
<div class="block">Metodo que realiza la creacion de una nueva referencia en EscCli</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codCliente</code> - String - Codigo del cleinte</dd>
<dd><code>codEscritura</code> - String - Codigo de la escritura</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Escepcion</dd>
</dl>
</li>
</ul>
<a name="getCodClienteEscCli-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCodClienteEscCli</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCodClienteEscCli(java.lang.String&nbsp;codEscritura)
                                     throws java.sql.SQLException</pre>
<div class="block">Metodo que devolvera un el string del codigo de cliente vinculado al codigo de escritura</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>codEscritura</code> - String - Codigo de la escritura</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String - Codigo de cliente</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code> - Excepcion</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/UtilClass.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../DAO/EscrituraClass.html" title="class in DAO"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?DAO/UtilClass.html" target="_top">Frames</a></li>
<li><a href="UtilClass.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
